		
	<?php while(the_flexible_field("customlayout")): ?>
		<?php if(get_row_layout() == "freetext"): //自由文  ?>
            <div class="parts"><?php the_sub_field("sub_freetext"); ?></div>

		<?php elseif(get_row_layout() == "headline"): //見出し  ?>
            <?php $headlinelevel = get_sub_field("headlinelevel"); ?>
           	<?php if($headlinelevel == big): ?>
           <h2><?php the_sub_field("sub_headline"); //見出しレベル大  ?></h2>
            <?php elseif($headlinelevel == medium): ?>
            <h3><?php the_sub_field("sub_headline");  //見出しレベル中 ?></h3>
            <?php elseif($headlinelevel == small): ?>
            <h4><?php the_sub_field("sub_headline");  //見出しレベル小 ?></h4>
            <?php endif; ?>
            
            
        <?php elseif(get_row_layout() == "photo01"): //写真1枚 ?>
            <p class="parts">
			<?php $sub_photo01ID = get_sub_field("sub_photo01");?>
            <?php echo wp_get_attachment_image($sub_photo01ID,'sub_photo01'); ?>
            </p>
        <?php elseif(get_row_layout() == "photo02"): //写真2枚 ?>
            <div class="parts">
            <p class="box1-2"><?php $sub_photo02_1ID = get_sub_field("sub_photo02_1");?>
            <?php echo wp_get_attachment_image($sub_photo02_1ID,'sub_photo02'); ?></p>
            <p class="box1-2 lastbox"><?php $sub_photo02_2ID = get_sub_field("sub_photo02_2");?>
            <?php echo wp_get_attachment_image($sub_photo02_2ID,'sub_photo02'); ?></p>
            </div>
            
        <?php elseif(get_row_layout() == "photo03"): //写真3枚 ?>
            <div class="parts">
             <p class="box1-3"><?php $sub_photo03_1ID = get_sub_field("sub_photo03_1");?>
            <?php echo wp_get_attachment_image($sub_photo03_1ID,'sub_photo03'); ?></p>
             <p class="box1-3"><?php $sub_photo03_2ID = get_sub_field("sub_photo03_2");?>
            <?php echo wp_get_attachment_image($sub_photo03_2ID,'sub_photo03'); ?></p>
             <p class="box1-3 lastbox"><?php $sub_photo03_3ID = get_sub_field("sub_photo03_3");?>
			 <?php echo wp_get_attachment_image($sub_photo03_3ID,'sub_photo03'); ?></p>
            </div>
        <?php elseif(get_row_layout() == "2columntext"): //文章2カラム ?>
            <div class="parts">
             <div class="box1-2"><?php the_sub_field("sub_2columntext_1"); ?></div>
             <div class="box1-2 lastbox"><?php the_sub_field("sub_2columntext_2"); ?></div>
            </div>
			
		<?php elseif(get_row_layout() == "3columntext"): //文章3カラム ?>
            <div class="parts">
             <div class="box1-3"><?php the_sub_field("sub_3columntext_1"); ?></div>
             <div class="box1-3"><?php the_sub_field("sub_3columntext_2"); ?></div>
             <div class="box1-3 lastbox"><?php the_sub_field("sub_3columntext_3"); ?></div>
            </div>
        <?php elseif(get_row_layout() == "photoandtext"): //文章＋写真右寄 ?>
            <div class="parts">
            <?php $photoposition = get_sub_field("photoposition"); ?>
            <p class="<?php if($photoposition == left): ?>figureL<?php elseif($photoposition == right): ?>figureR<?php endif; ?>">
            <?php $sub_photoandtext01_2ID = get_sub_field("sub_photoandtext_2");?>
            <?php echo wp_get_attachment_image($sub_photoandtext01_2ID,'figure'); ?>
            </p>
            <div><?php the_sub_field("sub_photoandtext_1");  ?></div>
            </div>

    
        <?php elseif(get_row_layout() == "table"): //表 ?>
           <div class="parts">
           <table>
            <?php while(the_repeater_field('line')): ?>
            <tr>
            <th><?php the_sub_field('th'); ?></th>
            <td><?php the_sub_field('td'); ?></td>
            </tr>
            <?php endwhile; ?>
            </table>
            </div>
       <?php elseif(get_row_layout() == "list"): //箇条書きリスト ?>
           <div class="parts">
           <ul class="list">
            <?php while(the_repeater_field('sub_list')): ?>
            <li><?php the_sub_field('sub_sub_list'); ?></li>
            <?php endwhile; ?>
            </ul>
            </div>
         <?php elseif(get_row_layout() == "box"): //囲み ?>
            <div class="column parts">
            <?php if(get_sub_field("sub_box01")): ?>
            <p class="columntitle"><?php the_sub_field("sub_box01"); ?></p>
            <?php endif; ?>
			<?php the_sub_field("sub_box02"); ?>
            </div>

         <?php elseif(get_row_layout() == "button"): //ボタン ?>
            <div class="parts">
            <?php $btnposition = get_sub_field("btnposition"); ?>
            <?php $btnlinktarget= get_sub_field("btnlinktarget"); ?>
             <p  class="btn" style="text-align:<?php if($btnposition == left): ?>left<?php elseif($btnposition == center): ?>center<?php elseif($btnposition == right): ?>right<?php endif; ?>;">
			<a href="<?php the_sub_field("buttonurl"); ?>" <?php if($btnlinktarget == blank): ?>target="_blank"<?php endif; ?>><?php the_sub_field("buttonname"); ?></a></p>
            </div>

        <?php elseif(get_row_layout() == "linkimage"): //リンク付画像 ?>
            <div class="parts">
            <?php $imageposition = get_sub_field("imageposition"); ?>
            <?php $imagelinktarget= get_sub_field("imagelinktarget"); ?>
            <p style="text-align:<?php if($imageposition == left): ?>left<?php elseif($imageposition == center): ?>center<?php elseif($imageposition == right): ?>right<?php endif; ?>;">
            <a href="<?php the_sub_field("linkurl"); ?>" <?php if($imagelinktarget == blank): ?>target="_blank"<?php endif; ?>>
            <?php $linkimageID = get_sub_field("linkimage"); ?>
            <?php echo wp_get_attachment_image($linkimageID,'sub_photo01'); ?></a></p>
            </div>
        <?php endif; ?>
	<?php endwhile; ?>